---
title: "Schedule"
source: /gcxone/api/schedule
locale: en
updated: 2026-09-04
---
Operations on schedule resources. 2 endpoints, each relative to `https://api.nxgen.cloud/api/v1` and authenticated as described under [Authentication](/gcxone/api/authentication).

## GET /schedule

Get list of schedule associated with a hierarchy level id like Site, Customer or Service provider ID.

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| entityId | query | string | yes | Hierarchy level id like Site, Customer or Service provider ID. |

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success | object |
| 400 | Invalid input |  |
| 403 | Forbidden |  |

Example `200` response:

```json
{
  "errorCode": 0,
  "errorMessage": "Details on error if any.",
  "message": {
    "schedules": [
      {
        "id": "8a81fdd581cf1102820521f1bb08c5",
        "entries": [
          {
            "id": "8a81fdd581cf1102018205251908c6",
            "entryType": "DAY_OF_WEEK",
            "startDate": 1730116540,
            "endDate": 1730116540,
            "dayOfWeek": "MONDAY",
            "startTime": "09:00",
            "endTime": "17:00",
            "autoDelete": false,
            "autoDeleteAt": 1730116540,
            "specialDayId": "",
            "notes": "",
            "_links": {
              "schedule": {
                "href": "http://talos.evalink.io/api/schedule-service/schedules/8a81fdd581cf110201820521bb08c5"
              }
            }
          }
        ],
        "timeZone": "Europe/Berlin",
        "name": "TEST",
        "updatedAt": 1657943696144
      }
    ],
    "specialDays": [
      {
        "id": "8a809592716fa50171cb419a2e016c",
        "name": "Weihnachten",
        "month": "12",
        "date": "25"
      }
    ]
  }
}
```

Example `400` response:

```json
{
  "errorCode": "ERR001",
  "errorDesc": "Invalid Request"
}
```

## PATCH /schedule

Patch schedule by schedule ID

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| scheduleId | query | string | yes | Schedule id to PATCH. |
| hierarchyId | query | string | yes | Hierarchy level id like Site, Customer or Service provider ID. |

### Request body

Schedule payload

```json
{
  "entries": [
    {
      "id": "string",
      "entryType": "DATE | DAY_OF_WEEK | SPECIAL_DAY | DATE_MULTIPLE | DATE_RANGE",
      "startDate": "string",
      "endDate": "string",
      "dayOfWeek": "MONDAY | TUESDAY | WEDNESDAY | THURSDAY | FRIDAY | SATURDAY | SUNDAY",
      "startTime": "string",
      "endTime": "string",
      "autoDelete": "boolean",
      "autoDeleteAt": "number",
      "specialDayId": "string",
      "notes": "string"
    }
  ],
  "name": "string"
}
```

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success |  |
| 400 | Invalid input |  |
| 403 | Forbidden |  |

Example `200` response:

```json
{
  "errorCode": 0,
  "errorMessage": "Success"
}
```

Example `400` response:

```json
{
  "errorCode": "ERR001",
  "errorDesc": "Invalid Request"
}
```